curl https://api.goshippo.com/transactions/ \
-H "Authorization: ShippoToken <API_TOKEN>"{
"next": "baseurl?page=3&results=10",
"previous": "baseurl?page=1&results=10",
"results": [
{
"commercial_invoice_url": "<string>",
"created_by": {
"first_name": "Shwan",
"last_name": "Ippotle",
"username": "shippotle@shippo.com"
},
"eta": "<string>",
"label_file_type": "PDF_4x6",
"label_url": "https://shippo-delivery.s3.amazonaws.com/70ae8117ee1749e393f249d5b77c45e0.pdf?Signature=vDw1ltcyGveVR1OQoUDdzC43BY8%3D&Expires=1437093830&AWSAccessKeyId=AKIAJTHP3LLFMYAWALIA",
"messages": [
{
"source": "UPS",
"code": "carrier_timeout",
"text": "UPS API did not respond. Please try again in a few minutes."
}
],
"metadata": "<string>",
"object_created": "2023-11-07T05:31:56Z",
"object_id": "915d94940ea54c3a80cbfa328722f5a1",
"object_owner": "shippotle@shippo.com",
"object_state": "VALID",
"object_updated": "2023-11-07T05:31:56Z",
"parcel": "e94c7fdfdc7b495dbb390a28d929d90a",
"qr_code_url": "https://shippo-delivery.s3.amazonaws.com/96_qr_code.pdf?Signature=PEdWrp0mFWAGwJp7FW3b%2FeA2eyY%3D&Expires=1385930652&AWSAccessKeyId=AKIAJTHP3LLFMYAWALIA",
"rate": {
"amount": "5.5",
"amount_local": "5.5",
"currency": "USD",
"currency_local": "USD",
"object_id": "adcfdddf8ec64b84ad22772bce3ea37a",
"provider": "USPS",
"carrier_account": "078870331023437cb917f5187429b093",
"servicelevel_name": "Priority Mail",
"servicelevel_token": "fedex_ground"
},
"status": "SUCCESS",
"test": true,
"tracking_number": "9499907123456123456781",
"tracking_status": "DELIVERED",
"tracking_url_provider": "https://tools.usps.com/go/TrackConfirmAction_input?origTrackNum=9499907123456123456781"
}
]
}Returns a list of all transaction objects.
curl https://api.goshippo.com/transactions/ \
-H "Authorization: ShippoToken <API_TOKEN>"{
"next": "baseurl?page=3&results=10",
"previous": "baseurl?page=1&results=10",
"results": [
{
"commercial_invoice_url": "<string>",
"created_by": {
"first_name": "Shwan",
"last_name": "Ippotle",
"username": "shippotle@shippo.com"
},
"eta": "<string>",
"label_file_type": "PDF_4x6",
"label_url": "https://shippo-delivery.s3.amazonaws.com/70ae8117ee1749e393f249d5b77c45e0.pdf?Signature=vDw1ltcyGveVR1OQoUDdzC43BY8%3D&Expires=1437093830&AWSAccessKeyId=AKIAJTHP3LLFMYAWALIA",
"messages": [
{
"source": "UPS",
"code": "carrier_timeout",
"text": "UPS API did not respond. Please try again in a few minutes."
}
],
"metadata": "<string>",
"object_created": "2023-11-07T05:31:56Z",
"object_id": "915d94940ea54c3a80cbfa328722f5a1",
"object_owner": "shippotle@shippo.com",
"object_state": "VALID",
"object_updated": "2023-11-07T05:31:56Z",
"parcel": "e94c7fdfdc7b495dbb390a28d929d90a",
"qr_code_url": "https://shippo-delivery.s3.amazonaws.com/96_qr_code.pdf?Signature=PEdWrp0mFWAGwJp7FW3b%2FeA2eyY%3D&Expires=1385930652&AWSAccessKeyId=AKIAJTHP3LLFMYAWALIA",
"rate": {
"amount": "5.5",
"amount_local": "5.5",
"currency": "USD",
"currency_local": "USD",
"object_id": "adcfdddf8ec64b84ad22772bce3ea37a",
"provider": "USPS",
"carrier_account": "078870331023437cb917f5187429b093",
"servicelevel_name": "Priority Mail",
"servicelevel_token": "fedex_ground"
},
"status": "SUCCESS",
"test": true,
"tracking_number": "9499907123456123456781",
"tracking_status": "DELIVERED",
"tracking_url_provider": "https://tools.usps.com/go/TrackConfirmAction_input?origTrackNum=9499907123456123456781"
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.goshippo.com/llms.txt
Use this file to discover all available pages before exploring further.
API key authentication using the ShippoToken scheme. Format: Authorization: ShippoToken <API_TOKEN> Example: Authorization: ShippoToken shippo_live_abc123
Optional string used to pick a non-default API version to use. See our API version guide.
"2018-02-08"
Filter by rate ID
Filter by object status Indicates the status of the Transaction.
WAITING, QUEUED, SUCCESS, ERROR, REFUNDED, REFUNDPENDING, REFUNDREJECTED "SUCCESS"
Filter by tracking status Indicates the high level status of the shipment.
UNKNOWN, PRE_TRANSIT, TRANSIT, DELIVERED, RETURNED, FAILURE "DELIVERED"
The page number you want to select
The number of results to return per page (max 100)
x <= 100Was this page helpful?